#!/bin/sh
# vim:sw=2:ts=2:sts=2:et

set -eu

LC_ALL=C
PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

make_tmp_directories() {
  local temp_dir="${NGINX_RENVSUBST_TEMPORARY_DIR:-/opt/nginx/tmp}"
  local client_body_temp_dir="${NGINX_RENVSUBST_CLIENT_BODY_TEMP_DIR:-${temp_dir}/client_temp}"
  local proxy_temp_dir="${NGINX_RENVSUBST_PROXY_TEMP_DIR:-${temp_dir}/proxy}"
  
  local modsec_temp_data_dir="${NGINX_RENVSUBST_PROXY_TEMP_DIR:-${temp_dir}/modsecurity/data}"
  local modsec_temp_dir="${NGINX_RENVSUBST_PROXY_TEMP_DIR:-${temp_dir}/modsecurity/tmp}"
  local modsec_temp_upload_dir="${NGINX_RENVSUBST_PROXY_TEMP_DIR:-${temp_dir}/modsecurity/upload}"

  local temp_dir client_body_temp_dir proxy_temp_dir
  if [ ! -w "$temp_dir" ]; then
    entrypoint_log "$ME: ERROR: $temp_dir is not writable"
    return 0
  fi
  [ -d "$client_body_temp_dir" ] || mkdir -p "${client_body_temp_dir}"
  [ -d "$proxy_temp_dir" ] || mkdir -p "${proxy_temp_dir}"
  [ -d "$modsec_temp_data_dir" ] || mkdir -p "${modsec_temp_data_dir}"
  [ -d "$modsec_temp_dir" ] || mkdir -p "${modsec_temp_dir}"
  [ -d "$modsec_temp_upload_dir" ] || mkdir -p "${modsec_temp_upload_dir}"
}

make_tmp_directories

exit 0
